Get a job execution report
curl --request GET \
--url https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "SUBMITTED",
"history": [
{
"status": "IN_PROGRESS",
"ts": "2017-07-21T17:32:28Z"
}
]
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
},
"files": [
{
"file": "test.json",
"error": {
"code": "INVALID_FILE_FORMAT",
"message": "<string>"
},
"content": {
"smartElecIndexesCollectStatus": [
{
"personCustomerId": "person-customer-id-1234",
"siteCustomerId": "site-customer-id-978",
"ts": "2021-07-21T00:00:00Z",
"generationTs": "2021-07-21T00:00:00Z",
"status": [
{
"code": "FIELD_IS_MANDATORY",
"message": "podId is mandatory"
}
],
"siteId": "site-home-id-451",
"podId": "site-home-id-451",
"nature": "MKT_SMART_DISTRIBUTOR"
}
],
"cyclicGasIndexesCollectStatus": [
{
"personCustomerId": "person-customer-id-1234",
"siteCustomerId": "site-customer-id-978",
"ts": "2021-07-21T00:00:00Z",
"generationTs": "2021-07-21T00:00:00Z",
"status": [
{
"code": "FIELD_IS_MANDATORY",
"message": "podId is mandatory"
}
],
"siteId": "site-home-id-451",
"podId": "site-home-id-451",
"nature": "MKT_CYCLIC_DISTRIBUTOR"
}
]
}
}
]
},
"_links": {
"href": "<string>",
"hreflang": "<string>",
"title": "<string>",
"type": "<string>",
"deprecation": "<string>",
"profile": "<string>",
"name": "<string>",
"templated": true
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}API Reference
Get a job execution report
Returns a job execution current state. Depending on the state, a report specifying the operations processing details is accessible.
The job execution report is only accessible during 60 days after its submission.
You can use the view parameter to define the level of detail you need :
- OVERVIEW for basic information
- DETAILS for detailed information about the job
Example 1 : Job execution report -> overview
{
"archive": "indexes.tar.gz",
"state": {
"current": "DONE",
"history": [
{
"status": "SUBMITTED",
"ts": "2025-03-13T13:32:47Z"
},
//...
]
},
"report": {
"overview": {
"nbOperationsTotal": 1000,
"nbOperationsOK": 1000,
"nbOperationsKO": 0
}
},
"_links": {
// ...
}
}
Example 2 : Job execution report -> details
{
"archive": "indexes.tar.gz",
"state": {
"current": "ERROR",
"history": [
{
"status": "SUBMITTED",
"ts": "2025-03-13T13:32:47Z"
},
// ...
]
},
"report": {
"overview": {
"nbOperationsTotal": 2,
"nbOperationsOK": 1,
"nbOperationsKO": 1
},
"files": [
{
"file": "indexes.json",
"content": {
"smartElecIndexesCollectStatus": [
{
"status": [
{
"code": "INCONSISTENT_REQUEST",
"message": "SiteCustomerId, PersonCustomerId and podId are inconsistent for SiteCustomerId = test_site_id_1_FO100"
}
],
"personCustomerId": "test_client_id_1_FO100",
"siteCustomerId": "test_site_id_1_FO100",
"podId": "5333333371",
"ts": "2024-03-21T23:00:00Z",
"generationTs": "2025-01-01T13:43:55Z",
"nature": "MKT_CYCLIC_DISTRIBUTOR"
},
{
"status": [
{
"code": "OK"
}
],
"personCustomerId": "test_client_id_1_FO100",
"siteCustomerId": "test_site_id_1_FO100",
"podId": "pdl58566f9c-f9",
"ts": "2024-11-02T00:00:00Z",
"generationTs": "2025-01-01T13:43:55Z",
"nature": "MKT_CYCLIC_DISTRIBUTOR"
}
]
}
}
]
},
"_links": {
// ...
}
}
GET
/
indexes-collect-jobs
/
{job-id}
Get a job execution report
curl --request GET \
--url https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.home.datanumia.com/api/v2/indexes-collect-jobs/{job-id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"archive": "myOperationsArchive.tar.gz",
"state": {
"current": "SUBMITTED",
"history": [
{
"status": "IN_PROGRESS",
"ts": "2017-07-21T17:32:28Z"
}
]
},
"report": {
"error": {
"code": "INVALID_ARCHIVE_FORMAT",
"message": "<string>"
},
"overview": {
"nbOperationsTotal": 146,
"nbOperationsOK": 146,
"nbOperationsKO": 0
},
"files": [
{
"file": "test.json",
"error": {
"code": "INVALID_FILE_FORMAT",
"message": "<string>"
},
"content": {
"smartElecIndexesCollectStatus": [
{
"personCustomerId": "person-customer-id-1234",
"siteCustomerId": "site-customer-id-978",
"ts": "2021-07-21T00:00:00Z",
"generationTs": "2021-07-21T00:00:00Z",
"status": [
{
"code": "FIELD_IS_MANDATORY",
"message": "podId is mandatory"
}
],
"siteId": "site-home-id-451",
"podId": "site-home-id-451",
"nature": "MKT_SMART_DISTRIBUTOR"
}
],
"cyclicGasIndexesCollectStatus": [
{
"personCustomerId": "person-customer-id-1234",
"siteCustomerId": "site-customer-id-978",
"ts": "2021-07-21T00:00:00Z",
"generationTs": "2021-07-21T00:00:00Z",
"status": [
{
"code": "FIELD_IS_MANDATORY",
"message": "podId is mandatory"
}
],
"siteId": "site-home-id-451",
"podId": "site-home-id-451",
"nature": "MKT_CYCLIC_DISTRIBUTOR"
}
]
}
}
]
},
"_links": {
"href": "<string>",
"hreflang": "<string>",
"title": "<string>",
"type": "<string>",
"deprecation": "<string>",
"profile": "<string>",
"name": "<string>",
"templated": true
}
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}{
"errorCode": "<string>",
"errorDescription": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the requested job
Query Parameters
The level of details requested for the report :
- OVERVIEW: job execution state (current & history) and operations status overview
- DETAILS: OVERVIEW + detailed status at the operation level